GET /api/v3/creatives/constants/approval-statuses¶
Summary¶
GET /creatives/constants/approval-statuses
Description¶
List of approval statuses for creatives
Depending on your approval setup for the screen owner, these may be used to indicate the approval status of any creative in lucit
In a creative, you can view these in the creative_approvals field
Learn more at Ad Moderation For Operators
Tags: creatives
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)approval_statuses(array)-
Array items:
objectType:objectProperties:
name(string)value(integer)
Example Response¶
{
"success": true,
"approval_statuses": [
{
"name": "UNDEFINED",
"value": 0
},
{
"name": "OK",
"value": 1
},
{
"name": "PENDING",
"value": 2
},
{
"name": "REJECTED",
"value": 3
},
{
"name": "DELETED",
"value": 4
},
{
"name": "OK_AI",
"value": 5
},
{
"name": "REJECTED_AI",
"value": 6
},
{
"name": "OK_NO_MODERATION",
"value": 7
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/creatives/constants/approval-statuses" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/creatives/constants/approval-statuses"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/creatives/constants/approval-statuses',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/creatives/constants/approval-statuses'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"approval_statuses": [
{
"name": "UNDEFINED",
"value": 0
},
{
"name": "OK",
"value": 1
},
{
"name": "PENDING",
"value": 2
},
{
"name": "REJECTED",
"value": 3
},
{
"name": "DELETED",
"value": 4
},
{
"name": "OK_AI",
"value": 5
},
{
"name": "REJECTED_AI",
"value": 6
},
{
"name": "OK_NO_MODERATION",
"value": 7
}
]
}